Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire
Class XFireFactory

    java.lang.Object
      org.codehaus.xfire.XFireFactory

    public class XFireFactory

extends java.lang.Object

The XFireFactory class allows you to embed XFire within your apps easily.

This class assumes one XFire instance per JVM. To create many XFire instances you must use your own configuration and instantiation mechanism.

If you want to provide your own Factory you must:

- Register your factory via `registerFactory`
- Implement `public static XFireFactory createInstance()`

Author:
  Dan Diephouse

Constructor Summary
`protected` | `XFireFactory()`
`protected` | `XFireFactory(XFire xfire)`

Method Summary
`protected static XFireFactory` | `createInstance()`
`XFire` | `getXFire()`
`static XFireFactory` | `newInstance()`
`static XFireFactory` | `newInstance(java.lang.String selector)`
`static void` | `registerFactory(java.lang.Class factoryClass, boolean def)` Register an XFireFactory class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XFireFactory

    protected XFireFactory()

### XFireFactory

    protected XFireFactory(XFire xfire)

Method Detail

### createInstance

    protected static XFireFactory createInstance()

### newInstance

    public static XFireFactory newInstance()

### newInstance

    public static XFireFactory newInstance(java.lang.String selector)

### registerFactory

    public static void registerFactory(java.lang.Class factoryClass,
                                       boolean def)

  Register an XFireFactory class.

  Parameters:
    `factoryClass` -
    `def` - Whether or not this should be the default factory.

### getXFire

    public XFire getXFire()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.